For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
DocsAPI Reference
DocsAPI Reference
    • End Points
  • PARTNER
    • GETGet Orders
    • GETGet Order By ID
    • GETGet Webhooks
    • POSTRefresh Access Token
    • POSTCreate Widget URL
  • COUNTRIES
    • GETGet Countries
  • CURRENCIES
    • GETGet Crypto Currencies
    • GETGet Fiat Currencies
    • GETGet Price
    • GETVerify Wallet Address
  • HEADLESS GOOGLE PAY API
    • End Points
    • POSTTransaction Session API
    • POSTTransaction Process API
    • GETTransaction Request Status API
  • TRANSAK WHITELABEL API
    • End Points
Dashboard
LogoLogo
HEADLESS GOOGLE PAY API

Transaction Session API

||View as Markdown|
POST
https://api-gateway-stg.transak.com/api/v2/transaction-session
POST
/api/v2/transaction-session
$curl -X POST https://api-gateway-stg.transak.com/api/v2/transaction-session \
> -H "Content-Type: application/json" \
> -d '{
> "quoteId": "q1234567890abcdef",
> "walletAddress": "0x4bbeEB066eD09B7AEd07bF39EEe0460DFa261520",
> "successUrl": "https://merchant.example.com/payment-success",
> "failureUrl": "https://merchant.example.com/payment-failure",
> "config": {
> "colorMode": "DARK"
> }
>}'
1{
2 "data": {
3 "sessionId": "eyJhbGciOiJFZERTQSIsInR5cCI6IkpXVCJ9.eyJvdHQiOiJjOTU4NTQ0MzQzZjI4YjM4NGQ5OGExM2JjZmU3OTk2YSIsImlhdCI6MTc4MDM2ODM3MywiZXhwIjoxNzgwMzY4OTczfQ.BLlwJbGrH-jRBwAWhJgPIDmcDFYvpIOZCMEVaZhhB4RC3LovyeFj8qeT5GYz",
4 "expiresAt": "2026-06-02T02:56:13.000Z"
5 }
6}

Creates a Headless Google Pay transaction session. Returns a sessionId for your integration. Requires a valid partner access token and approved KYC where applicable.

Was this page helpful?
Previous

Getting Started

Next

Transaction Process API

Built with

Headers

x-access-tokenstringOptional

Your Partner Access Token. Please refer here for a tutorial on generating your access token.

Note: This is applicable only for Auth Reliance Flows

x-user-identifierstringOptional

The authenticated user’s email address. Note: This is applicable only for Auth Reliance Flows.

authorizationstringOptional

Authorization token is the accessToken received from the API - api/v2/auth/verify

Note: This is not applicable for Auth Reliance Flows

Request

This endpoint expects an object.
quoteIdstringRequired
Quote ID from the pricing API.
walletAddressstringRequired
Destination crypto wallet address.
successUrlstringRequired
Redirect URL on payment success.
failureUrlstringRequired
Redirect URL on payment failure.
configobjectOptional
Additional optional UI configuration passed through to the session.
billingAddressobjectOptional

Auto-fetched from user profile if omitted (Google Pay only).

Response

Success
dataobject

Errors

401
Unauthorized Error
422
Unprocessable Entity Error
500
Internal Server Error